> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/basketball/json-objects/stats-objects/action-aggregates.md).

# Action Aggregates

## Properties

<table data-header-hidden><thead><tr><th width="269">Property</th><th>Description</th></tr></thead><tbody><tr><td>action<br><em><mark style="color:blue;">string</mark></em></td><td>Action type name</td></tr><tr><td>actionId<br><em><mark style="color:blue;">integer</mark></em></td><td>Unique id of a specific action type</td></tr><tr><td>actionAggregate<br><em><mark style="color:blue;">integer</mark></em></td><td>Number of times a specific action was recorded during a match</td></tr><tr><td>subActionAggregates<br><a href="/pages/j2xUTlBcUoU7NXitpP8B"><em><mark style="color:blue;">Sub Action Aggregates</mark></em></a></td><td>Detailed information of record sub action types</td></tr></tbody></table>

```json
{
          "action": "Shot",
          "actionId": 111,
          "actionAggregate": 8,
          "subActionAggregates": [
            {
              "subAction": "Blocked",
              "subActionId": 11103,
              "subActionAggregate": 4
            },
            {
              "subAction": "Wide/Over (Off Target)",
              "subActionId": 11105,
              "subActionAggregate": 3
            },
            {
              "subAction": "On Target",
              "subActionId": 11102,
              "subActionAggregate": 1
            }
          ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/basketball/json-objects/stats-objects/action-aggregates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
